Subject: [Idr] Fwd: New Version Notification for draft-scudder-idr-open-registr y-00

From: Yakov Rekhter <[email-masked]>
Date: Tue, 16 Dec 2008 10:47:59 -0800

Folks,

Please comment on the attached. The deadline for comments is Dec 31, 2008.

Yakov.
------- Forwarded Message

Date:    Tue, 16 Dec 2008 13:42:16 -0500
From:    "John G. Scudder" <[email-masked]>
To:      Inter-Domain Routing List <[email-masked]>
Subject: [Idr] Fwd: New Version Notification for draft-scudder-idr-open-registr
	  y-00

Folks,

During Gen-Art review of draft-ietf-idr-rfc3392bis-02.txt, Elwyn  
Davies pointed out that there is no IANA registry for BGP OPEN  
optional parameter code points.  I've submitted the exceedingly short  
(one page plus boilerplate) draft-scudder-idr-open-registry-00 to  
remedy this.  I'd like to propose it as a WG work item.

- --John

Begin forwarded message:

> From: IETF I-D Submission Tool <[email-masked]>
> Date: December 16, 2008 11:39:04 AM GMT-05:00
> To: [email-masked]
> Subject: New Version Notification for draft-scudder-idr-open- 
> registry-00
>
>
> A new version of I-D, draft-scudder-idr-open-registry-00.txt has  
> been successfuly submitted by John Scudder and posted to the IETF  
> repository.
>
> Filename:	 draft-scudder-idr-open-registry
> Revision:	 00
> Title:		 Registry for BGP-4 OPEN Options
> Creation_date:	 2008-12-16
> WG ID:		 Independent Submission
> Number_of_pages: 3
>
> Abstract:
> The base BGP specification specifies a mechanism to include optional
> parameters with the OPEN message.  Optional parameters are identified
> by a type code.  However, no IANA registry exists for this type code.
> This document requests IANA to create such a registry.
>
>
>
> The IETF Secretariat.

_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr

------- End of Forwarded Message

_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr

---

From: Robert Raszuk <[email-masked]>
Date: Tue, 16 Dec 2008 11:35:59 -0800

IMHO we should just fix IANA Considerations section of 4271 by issuing a 
new version of it rather then having pointer in the IANA registry of 
OPEN msg optional parameters to one paragraph spec redirecting to 
incomplete RFC 4271.

Cheers,
R.

---

From: "John G. Scudder" <[email-masked]>
Date: Tue, 16 Dec 2008 14:43:07 -0500

On Dec 16, 2008, at 2:35 PM, Robert Raszuk wrote:
> IMHO we should just fix IANA Considerations section of 4271 by  
> issuing a new version of it rather then having pointer in the IANA  
> registry of OPEN msg optional parameters to one paragraph spec  
> redirecting to incomplete RFC 4271.

That would also be fine with me if the authors/WG/chairs would prefer  
that approach.

--John

---

From: Yakov Rekhter <[email-masked]>
Date: Tue, 16 Dec 2008 11:52:41 -0800

Robert,

> OPEN msg optional parameters to one paragraph spec redirecting to 

We had a similar situation before, where BGP Communities (rfc1997)
defined Communities without specifying registry for such communities.
This was addressed *not* by issuing a new version of rfc1997, but
by a message from Routing AD (Dave Ward) to the IDR mailing list
that proposed the text for the registry. After discussion on the
mailing list and at the IDR WG meeting we reached a consensus on
this text, and subsequently IANA established such registry.

Yakov.

---

From: Robert Raszuk <[email-masked]>
Date: Tue, 16 Dec 2008 12:39:54 -0800

Yakov,

I think it would be indeed the best of both .. To have an explanation 
msg in the IANA registry for those OPEN msg optional parameters type codes.

In fact John's text can already serve as such.

Thx,
R.

---

From: Yakov Rekhter <[email-masked]>
Date: Tue, 16 Dec 2008 13:12:34 -0800

Robert,

> In fact John's text can already serve as such.

That would be fine with me too, as long as Routing ADs are ok with
this.

Yakov.

---

From: David Ward <[email-masked]>
Date: Wed, 17 Dec 2008 18:58:47 -0600

I'm fine with this approach.

-DWard

On Dec 16, 2008, at 3:12 PM, Yakov Rekhter wrote:

>>>> issuing a
>>>>> Please comment on the attached. The deadline for comments is  
>>>>> Dec 31, 2008
> .
>>>
>>

---

From: Jeffrey Haas <[email-masked]>
Date: Tue, 30 Dec 2008 13:23:06 -0500

> Please comment on the attached. The deadline for comments is Dec 31, 2008.

I'd suggest two minor tweaks:

:   The base BGP specification [RFC4271] specifies in Section 4.2 a
:   mechanism to include optional parameters with the OPEN message.
:   Optional parameters are identified by the Parameter Type, which is a
:   one-octet unsigned binary integer.

Delete "binary" since it adds no additional meaning.

:
:   Two Parameter Type codes are currently defined:
:
:   o  Parameter Type 1: Authentication (deprecated).

Are there any current implementations that actually use the field as
authentication?  Were any ever deployed?  If not, I'd suggest that you
change deprecated to obsolete.

-- Jeff